Bug 253814

Summary: graphics/oidn: distinfo looks incorrect
Product: Ports & Packages Reporter: 1wkmmr
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: New ---    
Severity: Affects Some People Flags: bugzilla: maintainer-feedback? (yuri)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description 1wkmmr 2021-02-24 13:43:16 UTC
Hi,

Re: # $FreeBSD: head/graphics/oidn/Makefile 566074 2021-02-19 15:14:46Z martymac $

I'm on FreeBSD dhcp79.tmnetwork.local 12.2-STABLE FreeBSD 12.2-STABLE r369342 MYGEN  amd64.  

Building of this port stopped after mismatched information written in distinfo.  
The distinfo should be remade by 'make makesum' at /usr/ports/graphics/oidn.  
The updated distinfo looks work well, anyway.  

Cheers
Comment 1 Yuri Victorovich freebsd_committer 2021-02-24 19:30:02 UTC
(In reply to 1wkmmr from comment #0)

Hi 1wkmmr@gmail.com,

I can't reproduce this.

This port has a custom fetch because it has to fetch large LFS files, but 'make fetch' succeeds as of r566074.

Could you please try again? Otherwise, is there anything special about your system?


Yuri
Comment 2 1wkmmr 2021-02-25 05:45:12 UTC
(In reply to Yuri Victorovich from comment #1)

Hi, Yuri,

Thank you for your check.  
I know that 'make fetch' finishes successfully.  
Please check whether 'make checksum' would be successful.  
The following is a result of the above investigation.  

#I'm not sure, but wondering that the archive file in upstream 
#had changed with the same tag, without any notification, sometime.  

Cheers


root@dhcp79:/usr/ports/graphics/oidn # make fetch
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
===> Fetching all distfiles required by oidn-1.3.0_1 for building
root@dhcp79:/usr/ports/graphics/oidn # make checksum
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
===> Fetching all distfiles required by oidn-1.3.0_1 for building
=> SHA256 Checksum mismatch for oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz.
=> SHA256 Checksum OK for OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz.
=> SHA256 Checksum OK for OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz.
===>  Refetch for 1 more times files:  oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
==> Fetching the oidn/weights subproject with large LFS files
Downloading rt_hdr.tza (3.7 MB)
Downloading rt_hdr_alb.tza (3.7 MB)
Downloading rt_hdr_alb_nrm.tza (3.7 MB)
Downloading rt_ldr.tza (3.7 MB)
Downloading rt_ldr_alb.tza (3.7 MB)
Downloading rt_ldr_alb_nrm.tza (3.7 MB)
Downloading rtlightmap_dir.tza (3.7 MB)
Downloading rtlightmap_hdr.tza (3.7 MB)
=> oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://freebsd.org/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
fetch: http://freebsd.org/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/graphics/oidn
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/oidn
root@dhcp79:/usr/ports/graphics/oidn #
Comment 3 Yuri Victorovich freebsd_committer 2021-02-25 05:52:02 UTC
(In reply to 1wkmmr from comment #2)

'make checksum' also succeeds for me:

> $ make fetch
> ===>  License APACHE20 accepted by the user
> ===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
> ===>   oidn-1.3.0_1 depends on executable: git - found
> ===>   oidn-1.3.0_1 depends on executable: git-lfs - found
> ===> Fetching all distfiles required by oidn-1.3.0_1 for building
> $ make checksum
> ===>  License APACHE20 accepted by the user
> ===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
> ===>   oidn-1.3.0_1 depends on executable: git - found
> ===>   oidn-1.3.0_1 depends on executable: git-lfs - found
> ===> Fetching all distfiles required by oidn-1.3.0_1 for building
> => SHA256 Checksum OK for oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz.
> => SHA256 Checksum OK for OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz.
> => SHA256 Checksum OK for OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz.
Comment 4 1wkmmr 2021-02-25 07:17:16 UTC
(In reply to Yuri Victorovich from comment #3)

Hi, Yuri,

Thank you for your checking.  

Sorry for this long reply with more investigation.  

#=#=#=#=#=#=#=#=#=#=#=#=#=#=#=#
Let me show you information about distinfo and downloaded file in my environment.  
The 2nd and 3rd lines in distinfo are mismatched with the downloaded ones.  


root@dhcp79:~ # cat /usr/ports/graphics/oidn/distinfo
TIMESTAMP = 1612495835
SHA256 (oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz) = 169e25c8a49e13ea5dd94d7bd97feb4bc45247f0532a86d2b46d6ac4fd15d3e1
SIZE (oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz) = 27410305
SHA256 (OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz) = a6b30d7aa3ea81490431dba823dab475daad73a7124940560624742126db7274
SIZE (OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz) = 3443375
SHA256 (OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz) = 5a46df10204a61daab19e8d1c01a074c1c2e98d7bb5303b13a4c7c592cc77b4f
SIZE (OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz) = 5795997
root@dhcp79:~ # ls -l /usr/ports/distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
-rw-r--r--  1 root  wheel  27410393 Feb 25 14:34 /usr/ports/distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
root@dhcp79:~ # sha256 /usr/ports/distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
SHA256 (/usr/ports/distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz) = be1e929fb01bd2a8f1c0a0eabad7c050cb9fb20849fdb2c8231fb12baf860b9c
root@dhcp79:~ #


#=#=#=#=#=#=#=#=#=#=#=#=#=#=#=#
How about 'make distclean' first before 'make fetch' and 'make checksum'?
I got the following output with failure in my environment.  


root@dhcp79:/usr/ports/graphics/oidn # make distclean
===>  Cleaning for oidn-1.3.0_1
===>  Deleting distfiles for oidn-1.3.0_1
root@dhcp79:/usr/ports/graphics/oidn # make fetch
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
==> Fetching the oidn/weights subproject with large LFS files
Downloading rt_hdr.tza (3.7 MB)
Downloading rt_hdr_alb.tza (3.7 MB)
Downloading rt_hdr_alb_nrm.tza (3.7 MB)
Downloading rt_ldr.tza (3.7 MB)
Downloading rt_ldr_alb.tza (3.7 MB)
Downloading rt_ldr_alb_nrm.tza (3.7 MB)
Downloading rtlightmap_dir.tza (3.7 MB)
Downloading rtlightmap_hdr.tza (3.7 MB)
=> OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/OpenImageDenoise/oidn/tar.gz/v1.3.0?dummy=/OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz
fetch: https://codeload.github.com/OpenImageDenoise/oidn/tar.gz/v1.3.0?dummy=/OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/OpenImageDenoise/oidn/tar.gz/v1.3.0?dummy=/OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz: size of remote file is not known
OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz               3362 kB 3210 kBps    01s
=> OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/OpenImageDenoise/mkl-dnn/tar.gz/eb3e967?dummy=/OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz
fetch: https://codeload.github.com/OpenImageDenoise/mkl-dnn/tar.gz/eb3e967?dummy=/OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/OpenImageDenoise/mkl-dnn/tar.gz/eb3e967?dummy=/OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz: size of remote file is not known
OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz           5660 kB 8622 kBps    00s
===> Fetching all distfiles required by oidn-1.3.0_1 for building
root@dhcp79:/usr/ports/graphics/oidn # make checksum
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
===> Fetching all distfiles required by oidn-1.3.0_1 for building
=> SHA256 Checksum mismatch for oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz.
=> SHA256 Checksum OK for OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz.
=> SHA256 Checksum OK for OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz.
===>  Refetch for 1 more times files:  oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
==> Fetching the oidn/weights subproject with large LFS files
Downloading rt_hdr.tza (3.7 MB)
Downloading rt_hdr_alb.tza (3.7 MB)
Downloading rt_hdr_alb_nrm.tza (3.7 MB)
Downloading rt_ldr.tza (3.7 MB)
Downloading rt_ldr_alb.tza (3.7 MB)
Downloading rt_ldr_alb_nrm.tza (3.7 MB)
Downloading rtlightmap_dir.tza (3.7 MB)
Downloading rtlightmap_hdr.tza (3.7 MB)
=> oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://freebsd.org/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
fetch: http://freebsd.org/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/graphics/oidn
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/oidn
root@dhcp79:/usr/ports/graphics/oidn #


#=#=#=#=#=#=#=#=#=#=#=#=#=#=#=#
And after 'make makesum', 'make ckecksum' succeeds for me.  


root@dhcp79:/usr/ports/graphics/oidn # make makesum
===>  License APACHE20 accepted by the user
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
===> Fetching all distfiles required by oidn-1.3.0_1 for building
root@dhcp79:/usr/ports/graphics/oidn # make checksum
===>  License APACHE20 accepted by the user
===>   oidn-1.3.0_1 depends on file: /usr/local/sbin/pkg - found
===>   oidn-1.3.0_1 depends on executable: git - found
===>   oidn-1.3.0_1 depends on executable: git-lfs - found
===> Fetching all distfiles required by oidn-1.3.0_1 for building
=> SHA256 Checksum OK for oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz.
=> SHA256 Checksum OK for OpenImageDenoise-oidn-v1.3.0_GH0.tar.gz.
=> SHA256 Checksum OK for OpenImageDenoise-mkl-dnn-eb3e967_GH0.tar.gz.
root@dhcp79:/usr/ports/graphics/oidn #


#=#=#=#=#=#=#=#=#=#=#=#=#=#=#=#
Can you get the same 'oidn-weights-59bad6bb6344f8fb8205772df3f795c2dc72e23b.tar.gz' as the current distinfo was created?  

If not, the distinfo should be updated and distributed in ports tree.  

Cheers,

Mamoru (Japan)
Comment 5 Yuri Victorovich freebsd_committer 2021-02-25 08:17:33 UTC
(In reply to 1wkmmr from comment #4)

'make distclean fetch checksum' also succeeds for me.
Comment 6 Yuri Victorovich freebsd_committer 2021-02-25 08:23:01 UTC
It's puzzling, Mamoru, that you are getting this problem.

I think that there is something in your environment that causes it. But I can't think of anything that it could be.

No fallout e-mails arrived for graphics/oidn either. This means that the central package build server can also fetch it without problems.


Yuri
Comment 7 1wkmmr 2021-02-25 08:49:01 UTC
(In reply to Yuri Victorovich from comment #6)

Hi, Yuri,

Ok, I understand what causes this problem maybe on my side although I have not find it yet :-(

I'll report the cause if I can find it and if it is useful for everyone ;-)

Thank you very much.  

Mamoru
Comment 8 Yuri Victorovich freebsd_committer 2021-02-25 08:58:36 UTC
(In reply to 1wkmmr from comment #7)

You are welcome!

Please report on your findings.

Best,
Yuri